/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 17.06.2003
 * Created by : s3595
 */
package at.spardat.xma.boot.test;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.Random;

/**
 * TestUtils
 *
 * @author s3595 <a href="mailto:schaeferc@spardat.at">Chris Schfer (CGS)</a>
 * @version 0.1.0
 *
 */
public class TestUtils {

    public static String strTestbaseDir = "c:/javadev/xma/runtime/test_base/";

    public static String strTestServer = "http://localhost:8080/";
    public static String STD_CONTEXT   = "xma_samplespar/index.html";
    public static String strTestWebapp = "xma_samplespar/";

    public static URL getSTDURL( )
    throws MalformedURLException {
        return new URL ( strTestServer + STD_CONTEXT);
    }

    public static String getRandomStrings( int count) {
        StringBuffer buf = new StringBuffer(count);
        Random rand = new Random();

        for(int i = 0; i<count; i++){
            buf.append ((char)('a' +  rand.nextInt(25)));
        }

        return buf.toString();
    }


}
